Last modified: 2014-07-17 19:36:37 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 52150 - Document gerritadmin@wikimedia.org
Document gerritadmin@wikimedia.org
Status: RESOLVED FIXED
Product: Wikimedia
Classification: Unclassified
Git/Gerrit (Other open bugs)
unspecified
All All
: Unprioritized enhancement (vote)
: ---
Assigned To: Nobody - You can work on this!
:
Depends on:
Blocks: documentation
  Show dependency treegraph
 
Reported: 2013-07-27 16:55 UTC by Nemo
Modified: 2014-07-17 19:36 UTC (History)
7 users (show)

See Also:
Web browser: ---
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments

Description Nemo 2013-07-27 16:55:48 UTC
gerritadmin is doing more and more stuff (now also setting PATCH_TO_REVIEW status), it has to be documented.
One line of description on wikitech wiki, a link to its code and to the server where it lives, possibly a mention of a maintainer, should be enough. (Currently I don't even know who to ask this.)
Comment 1 Chad H. 2013-07-27 17:07:46 UTC
It's not a bot, it's a plugin called hooks-bugzilla and the code is upstream.
Comment 2 Nemo 2013-07-27 17:50:28 UTC
Well, its current bugzilla username/"real name" is Gerrit Notification Bot.
If the code is upstream, add to comment 0 "a link to its configuration" or whatever.
Comment 3 Chad H. 2013-07-27 20:44:09 UTC
Config is in puppet along with all the other gerrit config?
Comment 4 Alex Monk 2013-07-28 00:02:32 UTC
(In reply to comment #1)
> It's not a bot, it's a plugin called hooks-bugzilla and the code is upstream.

https://gerrit.googlesource.com/plugins/hooks-bugzilla

(In reply to comment #3)
> Config is in puppet along with all the other gerrit config?

https://git.wikimedia.org/blob/operations%2Fpuppet.git//templates%2Fgerrit%2Fgerrit.config.erb

(Something unrelated I noticed there is that if you click the HEAD link, you get 'Internal error'. https://git.wikimedia.org/log/operations%2Fpuppet.git gives "Failed to find commit "HEAD" in operations/puppet.git!" and I'm guessing it's to do with 'production' being the default branch in that repository instead of 'master'.)
Comment 5 Alex Monk 2013-07-28 00:04:04 UTC
(In reply to comment #4)
> (Something unrelated I noticed there is that if you click the HEAD link, you
> get 'Internal error'. https://git.wikimedia.org/log/operations%2Fpuppet.git
> gives "Failed to find commit "HEAD" in operations/puppet.git!" and I'm
> guessing
> it's to do with 'production' being the default branch in that repository
> instead of 'master'.)

Looks like this was reported as bug 50152, please ignore.
Comment 6 Chad H. 2013-07-28 00:07:42 UTC
(In reply to comment #5)
> (In reply to comment #4)
> > (Something unrelated I noticed there is that if you click the HEAD link, you
> > get 'Internal error'. https://git.wikimedia.org/log/operations%2Fpuppet.git
> > gives "Failed to find commit "HEAD" in operations/puppet.git!" and I'm
> > guessing
> > it's to do with 'production' being the default branch in that repository
> > instead of 'master'.)
> 
> Looks like this was reported as bug 50152, please ignore.

Which I've also reported to the upstream dev as well ;-)
Comment 8 Nemo 2013-07-28 07:32:31 UTC
(In reply to comment #7)
> Thanks for reporting this bug, Nemo.
> 
> I started a page here:
> <https://wikitech.wikimedia.org/wiki/Gerrit_Notification_Bot>.

Thank you. I see there are a couple open questions, then this bug can be closed. :)
Comment 9 Nemo 2014-07-17 19:36:37 UTC
(In reply to Nemo from comment #8)
> Thank you. I see there are a couple open questions, 

but no longer,

> then this bug can be
> closed. :)

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links